<?php 
$kernel = & singleton('kernel');

// Заголовок страницы
$kernel->set_title('Идентификация пользователя');

$SiteUsers = & singleton('SiteUsers');

// Нажали кнопку войти
if (isset($_POST['apply']))
{
	/* Проверяем доступность пользователя */
	$user_id = $SiteUsers->ValidUser(to_str($_POST['site_user_login']), to_str($_POST['site_user_password']));

	if ($user_id > 0)
	{
		if (isset($_POST['remember_me']))
		{
			$expires = 2678400; // 31 день
		}
		else 
		{
			$expires = 86400; // 1 день
		}
		
		// Авторизируем пользователя
		$SiteUsers->SetCurrentSiteUser($user_id, $expires);
	}
}

// Подтверждение регистрации пользователем
if (isset($_GET['accept']))
{
	// подтверждаем регистрацию.
	$SiteUsers_id = $SiteUsers->SetConfirmation($_GET['accept']);

	// авторизируем пользователя
	$SiteUsers->SetCurrentSiteUser($SiteUsers_id);
}

// Отмена регистрации пользователем
if (isset($_GET['cancel']))
{
	if ($SiteUsers->Unregistration($_GET['cancel']))
	{
		// Отменяем авторизацию текущего пользователя
		$SiteUsers->UnsetCurrentSiteUser();
	}
}

// Пользователь выходит из кабинета
if (isset($_GET['action']) && $_GET['action']=='exit')
{
	// Отменяем авторизацию текущего пользователя
	$SiteUsers->UnsetCurrentSiteUser();
}
?>